Bug 216244 - [labeled networking] NetLabel emits audit messages when syscall auditing is disabled
[labeled networking] NetLabel emits audit messages when syscall auditing is d...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Paris
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 17:58 EST by Paul Moore
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 19:36:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Moore 2006-11-17 17:58:41 EST
Description of problem:
NetLabel emits audit messages even when syscall auditing is disabled, i.e.
'auditctl -e 0'.  A patch has been introduced upstream which addresses this problem.

 * http://marc.theaimsgroup.com/?l=linux-netdev&m=116380356104867&w=2

Version-Release number of selected component (if applicable):
All NetLabel enabled kernels

How reproducible:
Everytime

Steps to Reproduce:
1. auditctl -e 0
2. cat /dev/null > /var/log/audit/audit.log
3. netlabelctl -p unlbl accept on
4. grep "MAC_UNLBL_ALLOW" /var/log/audit/audit.log
  
Actual results:
You will see the following audit message:
type=MAC_UNLBL_ALLOW msg=audit(1163723958.855:43): netlabel: auid=0
subj=root:sysadm_r:sysadm_t:s0-s15:c0.c1023 unlbl_accept=1 old=1

Expected results:
No audit message should be seen in the audit log.

Additional info:
Comment 1 Don Zickus 2006-12-05 14:53:15 EST
in 2.6.18-1.2817.el5
Comment 3 Jay Turner 2007-01-10 21:59:02 EST
QE ack for RHEL5.
Comment 4 RHEL Product and Program Management 2007-02-07 19:36:21 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.